> For the complete documentation index, see [llms.txt](https://docs.groundcover.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.groundcover.com/customization/customize-usage/filtering-kubernetes-entities.md).

# Filtering Kubernetes entities

By default, groundcover traces all namespaces and workloads in your cluster, but sometimes you want to block ones that are irrelevant to your needs, or alternatively only allow something very specific.

groundcover allows you to add **traces filtering rules** on specific workloads and namespaces by creating a custom `values.yaml` file.\
\
The rules are a list of **regex patterns with its matching type (allow / block)** that represents the entities you want groundcover filter.

## Usage

The following overrides need to be added to your `values.yaml` configuration file. After updating the file use the [installing & updating](/getting-started/installation-and-updating/connect-kubernetes-cluster.md) instructions to apply the changes.

```yaml
tracesNamespaceFilters:
  - matchType: "allow"
    regex: "my-namespace"
tracesWorkloadFilters:
  - matchType: "block"
    regex: "do-not-show-me"
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.groundcover.com/customization/customize-usage/filtering-kubernetes-entities.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
